Re: [Jastadd] _at_Override annotations in Java 6

From: Eric Bodden <eric.bodden_at_ec-spride.de>
Date: Thu, 10 Jan 2013 09:17:07 +0100

Hmmm, I have just tried integrating the Java7Frontend into Soot but I
am having trouble because some of the .ast and .jrag files seem to
clash with those of the Java1.4Frontend and Java1.5Frontend. (I get
duplicate declarations of AST nodes and attributes.) Is this a known
issue? Is there a known list of files I should exclude from the build?

Cheers,
Eric

On 10 January 2013 08:57, Jesper qvist <jesper.oqvist_at_cs.lth.se> wrote:
> Yes, the Java 7 implementation is stable. Unfortunately we do not have as
> many tests for the Java 7 implementation as we do for Java 5.
>
> If you want to use the new Override semantics with the Java5 frontend you
> can copy the file Java7Frontend/Override.jrag into Java1.5Frontend.
>
> /Jesper
>
>
> On 01/10/2013 08:46 AM, Eric Bodden wrote:
>>
>> Hello.
>>
>>> The Java 7 frontend implements the new Override semantics. For historical
>>> reasons it is not implemented in the Java 5/6 frontend.
>>
>> Thanks for the quick response. Is this frontend considered stable? I
>> am asking because I would consider switching Soot/abc to it then.
>>
>> Eric
>
>
> _______________________________________________
> JastAdd mailing list
> JastAdd_at_cs.lth.se
> https://mail1.cs.lth.se/cgi-bin/mailman/listinfo/jastadd



-- 
Eric Bodden, Ph.D., http://sse.ec-spride.de/ http://bodden.de/
Head of Secure Software Engineering Group at EC SPRIDE
Tel: +49 6151 16-75422    Fax: +49 6151 16-72051
Room 3.2.14, Mornewegstr. 30, 64293 Darmstadt
Received on Thu Jan 10 2013 - 09:18:00 CET

This archive was generated by hypermail 2.3.0 : Wed Apr 16 2014 - 17:19:06 CEST